Subject: Re: bug#20285: 25.0.50; blink-cursor-mode sometimes stops blinking

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Apr 2015 16:32:42 +0300

> From: Tassilo Horn <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 10 Apr 2015 15:13:49 +0200
> 
> But I just verified that the timer function runs pretty regularly.  It
> might not always be exactly 0.5 seconds between the runs but it's never
> deferred for a time which would be clearly observable by a user.
> 
> In contrast, it's not seldom that redisplay doesn't happen for up to 10
> seconds when emacs is idle but doing heavy processing in the background.
> I can easily provoke that situation by compiling a large TeX document
> with AUCTeX which puts the tex output in a buffer and has a process
> filter on it.

Maybe we should have a mechanism to force redisplay once in a while
even if Emacs has something to do, and blink-cursor-mode could then
activate that mechanism.